package com.ruoyi.common.pay;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class PaymentResult {
    private String outTradeNo;      // 商户订单号
    private String status;
    private String transactionId;   // 平台交易ID
    private BigDecimal amount;      // 交易金额

    public PaymentResult(String outTradeNo, String status, String transactionId, BigDecimal amount) {
        this.outTradeNo = outTradeNo;
        this.status = status;
        this.transactionId = transactionId;
        this.amount = amount;
    }

}
